%define pkidir %{_sysconfdir}/pki/kmod

Summary:	Kernel module(s) signing tool
Name:		msvsphere-modsign
Version:	1.0
Release:	1%{?dist}

License:	GPLv2
URL:		https://msvsphere.ru
Source1:	macros.modsign

BuildArch:	noarch

BuildRequires:	openssl
BuildRequires:	openssl-devel

%description
MSVSphere Lightweight Virtual Environment (LVE) kernel module.

%prep
cp %{SOURCE1} macros.modsign

%build
#nothing to build

%install
install -d %{buildroot}%{_sysconfdir}/rpm
install -m 644 macros.modsign %{buildroot}%{_sysconfdir}/rpm

%files
%{_sysconfdir}/rpm/macros.modsign

%changelog
* Wed Jun 28 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.0-1
- initial build for MSVSphere 9 (Cloud Linux fork)
